SDL_quit.h File Reference
`#include "SDL_stdinc.h"`
`#include "SDL_error.h"`
Include dependency graph for SDL_quit.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | SDL_QuitRequested() (SDL_PumpEvents(), (SDL_PeepEvents(NULL,0,SDL_PEEKEVENT,SDL_QUIT,SDL_QUIT) > 0))

## Detailed Description

Include file for SDL quit event handling.

An SDL_QUIT event is generated when the user tries to close the application window. If it is ignored or filtered out, the window will remain open. If it is not ignored or filtered, it is queued normally and the window is allowed to close. When the window is closed, screen updates will complete, but have no effect.

SDL_Init() installs signal handlers for SIGINT (keyboard interrupt) and SIGTERM (system termination request), if handlers do not already exist, that generate SDL_QUIT events as well. There is no way to determine the cause of an SDL_QUIT event, but setting a signal handler in your application will override the default generation of quit events for that signal.

See also
  SDL_Quit()

Definition in file SDL_quit.h.

## Macro Definition Documentation

## SDL_QuitRequested

#define SDL_QuitRequested | ( |  | ) | (SDL_PumpEvents(), (SDL_PeepEvents(NULL,0,SDL_PEEKEVENT,SDL_QUIT,SDL_QUIT) > 0))

Definition at line 55 of file SDL_quit.h.